<?php
	
	/**
	 *	@project	Битва титанов
	 *	@author		ЭKZO
	 */
	
	include_once __DIR__ . '/include/common.php';
	include_once __DIR__ . '/include/general_functions.php';
	include_once __DIR__ . '/include/utils.php';	
	include_once __DIR__ . '/include/user.php';
	
	if ( ! @$user)
			redirect('/');
	
	$params	=	[];						//	список параметров передаваемых в основное представление
	$params['title']	=	'Пещера';	//	заголовок
	$params['list_errors']	=	[];
	
	ob_start();
	
	include_once __DIR__ . '/include/header.php';
	
	$query	=	@mysql_query(sprintf(
		'SELECT
				*
			FROM
				`cave`
			WHERE
				`user_id`	=	%d',
		$user['id']
	));
	
	if (@mysql_num_rows($query) != 0)
	{
		
		
		
		$cave	=	@mysql_fetch_assoc($query);
		
		
		
		$timeleft	=	max(0, $cave['time']-time());
		
		$speedUp_val=	10*$user['level']*ceil($timeleft/60);
		
			$speedUp=	isset($_GET['speedUp'])?intval($_GET['speedUp']):0;
		if ($speedUp==1)
		{
			
			if ($user['silver'] < $speedUp_val)
				$params['list_errors'][]	=	sprintf(
					'Нехватает <img src="/images/icon/silver.png" alt="" /> %d',
					$speedUp_val-$user['silver']
				);
			
			if (sizeof($params['list_errors'])==0)
			{
				
				@mysql_query(sprintf(
					'UPDATE
							`users`
						SET
							`silver`	=	`silver`	-	%d
						WHERE
							`id`		=	%d',
					$speedUp_val,
					$user['id']
				));
				
				@mysql_query(sprintf(
					'UPDATE
							`cave`
						SET
							`time`	=	0
						WHERE
							`user_id`	=	%d',
					$user['id']
				));
				
				redirect('/cave/?');
				
			}
			
		}
		
		//	спустились и время еще не закончено
			if ($cave['go_down'] == 0 && $timeleft > 0)
		{
	?>
	
	<img src='/images/places/hd/cave.jpg' alt='' style='width:	100%;' />
	<div class='container cntr'>
		<span class='c_blue'>Вы осматриваете пещеру</span><br />
		До конца: <?=timeleft($timeleft)?>
	</div>
	<div class='min-line'></div>
	<div class='container cntr'>
		<a href='/cave/?speedUp=1' class='btn'>Ускорить <img src='/images/icon/silver.png' alt='' /> <?=$speedUp_val?> серебра</a>
	</div>
	<div class='min-line'></div>
	<ul class='hint'>
	<li>1 минута ускорения стоит <img src='/images/icon/silver.png' alt='' /> <?=($user['level']*10)?></li>
	</ul>
	<?php
		}
		//	спустились и время закончилось
		elseif ($cave['go_down'] == 0 && $timeleft== 0)
		{
			
			$list	=	[];
			$c	=	[];
			
			while	(
					sizeof($list) < 3
					)
			{
				
				$i	=	mt_rand(1, 9);
				
				if ( ! in_array($i, $list))
				{
					
					$list[]	=	$i;
						
						
						
						
						$_c	=	mt_rand(0, 50);
					
					if (premium_exists($user['id']))	//	Благославение
						$_c	+=	mt_rand(0, 25);
					
					if (eff_exists($user['id'], 12))	//	Добывающий эффект
						$_c	+=	mt_rand(0, 25);
						
						
						
						
						
					$c[]	=	$_c;
					
				}
				
			}
			
			@mysql_query(sprintf(
				'UPDATE
						`cave`
					SET
						`go_down`	=	1,
						`1`	=	%d,
						`1_c`	=	%d,
						`2`	=	%d,
						`2_c`	=	%d,
						`3`	=	%d,
						`3_c`	=	%d
					WHERE
						`user_id`	=	%d',
				$list[0],
				$c[0],
				$list[1],
				$c[1],
				$list[2],
				$c[2],
				$user['id']
			));
					
			redirect('/cave/');
			
		}
		//	спустилис, добываем время еще не закончилось
		elseif ($cave['go_down'] == 1 && $cave['gather']  == 1 && $timeleft > 0)
		{
			
	?>
	<img src='/images/places/hd/cave.jpg' alt='' style='width:	100%;' />
	<div class='container cntr'>
		<span class='c_blue'>Вы занимаетесь добычей ресурсов</span><br />
		До конца: <?=timeleft($timeleft)?>
	</div>
	<div class='min-line'></div>
	<div class='container cntr'>
		<a href='/cave/?speedUp=1' class='btn'>Ускорить <img src='/images/icon/silver.png' alt='' /> <?=$speedUp_val?> серебра</a>
	</div>
	<div class='min-line'></div>
	<ul class='hint'>
	<li>1 минута ускорения стоит <img src='/images/icon/silver.png' alt='' /> <?=($user['level']*10)?></li>
	</ul>
	<?php	
		}
		elseif ($cave['go_down'] == 1 && $cave['gather']  == 1 && $timeleft ==0)
		{
			
			@mysql_query(sprintf(
				'DELETE FROM
						`cave`
					WHERE
						`user_id`	=	%d',
				$user['id']
			));
			
	?>
	<div class='container cntr c_blue'>Работа завершена</div>
	<div class='min-line'></div>
	<div class='container'>
	<?php
			
			for	(
					$i	=	1;
					$i	<	4;
					++$i	
				)
			{
				
				$c		=	mt_rand(0, $cave[ $i . '_c']);
				
				$name	=	get_sack(
					$cave[ $i ]
				);
				
				
	?>			
		<table>
			<tr>
				<td style='vertical-align:	top;'><img src='/images/res/<?=$cave[ $i ]?>.png' alt='' /></td>
				<td style='vertical-align:	top;'>
					<?=$name?><br/>
	<?php
		
		if ($c >= mt_rand(0, 75))
		{
			
			@mysql_query(sprintf(
				'UPDATE
						`user_sack`
					SET
						`%d`	=	`%d` + 1
					WHERE
						`user_id`	=	%d',
				$cave[ $i ], $cave[ $i ],
				$user['id']
			));
			
	?>
				<span class='small c_green'>Ресурс добыт! </span>
	<?php
			
		}
		else
		{
	
	?>
				<span class='small c_red'>Ресурс не добыт!</span>
	<?php
		
		}
		
	?>
				<td>
			</tr>
		</table>
	<?php
			}
	
	?>
	</div>
	<div class='min-line'></div>
		<div class='container cntr'>
			<a href='/cave/?down=1' class='btn'>Новый поиск</a><br />
		</div>
	<?php
		}
		//	спустились, добываем время кончилось
		elseif ($cave['go_down'] == 1 && $cave['gather']  == 0)
		{

				$gather	=	isset($_GET['gather'])?intval($_GET['gather']):0;		
			if ($gather==1)
			{
				
				$time	=	(premium_exists($user['id']) ? 60 * 25 : 60 * 30);
				
				if (eff_exists($user['id'], 12))	//	Добывающий эффект
					$time	/=	2;
				
				$time	=	time()+$time;
				
				@mysql_query(sprintf(
					'UPDATE
							`cave`
						SET
							`gather`	=	1,
							`time`		=	%d
						WHERE
							`user_id`	=	%d',
					$time,
					$user['id']
				));
				
				redirect('/cave/?');
				
			}
			
				$down	=	isset($_GET['down'])?intval($_GET['down']):0;
			if ($down==1)
			{
				
				@mysql_query(sprintf(
					'UPDATE
							`cave`
						SET
							`time`		=	%d,
							`go_down`	=	0,
							`1`	=	0,	`1_c`	=	0,
							`2`	=	0,	`2_c`	=	0,
							`3`	=	0,	`3_c`	=	0
						WHERE
							`user_id`	=	%d',
					time()+(premium_exists($user['id']) ? 60 * 15 : 60 * 20),
					$user['id']
				));
				
				redirect('/cave/');
				
			}
		?>
		<div class='container cntr c_blue'>Вы закончили осмотр пещеры</div>
		<div class='min-line'></div>
		<div class='container'>
		<?php
		
					for	(
							$i	=	1;
							$i	<	4;
							++$i	
						)
					{
						
						$name	=	get_sack(
							$cave[ $i ]
						);
		?>
			<table>
				<tr>
					<td style='vertical-align:	top;'><img src='/images/res/<?=$cave[ $i ]?>.png' alt='' /></td>
					<td style='vertical-align:	top;'>
						<?=$name?><br/>
						<span class='small'>Шанс добыть: <?=$cave[ $i . '_c']?>%</span>
					<td>
				</tr>
			</table>
		<?php
					}
		
		?>
		</div>
		<div class='min-line'></div>
		<div class='container cntr'>
			<a href='/cave/?gather=1' class='btn'>Начать добычу</a><br />
			<a href='/cave/?down=1' class='c_grey'>Новый поиск</a>
		</div>
		<?php
		}
		
	}
	else
	{
			$down	=	isset($_GET['down'])?intval($_GET['down']):0;
		if ($down==1)
		{
			
			$time	=	(premium_exists($user['id']) ? 60 * 15 : 60 * 20);
			
			if (eff_exists($user['id'], 12))	//	Добывающий эффект
				$time	/=	2;
			
			$time	=	time()+$time;
			
			@mysql_query(sprintf(
				'INSERT INTO
						`cave`
						(
							`user_id`,
							`time`
						)
						VALUES
						(
							%d,
							%d
						)',
				$user['id'],
				$time
			));
			
			redirect('/cave/');
			
		}
	?>
	<img src='/images/places/hd/cave.jpg' alt='' style='width:	100%;' />
	<div class='container cntr'>
		<a href='/cave/?down=1' class='btn'>Спуститься</a>
	</div>
	<?php
	
	}
	
	include_once __DIR__ . '/include/footer.php';
	
	setContentType('text/html; charset=UTF-8');
	render(
		__DIR__ . '/include/template.php',
		ob_get_clean(),
		(array) $params
	);
	
	?>